#define _GLIBCXX_FILESYSTEM
#include <bits/stdc++.h>
using namespace std;

const int MAXN = 2e5 + 10;
int a[MAXN];

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;

    cout << 1 << '\n';
    
    cout << n << '\n';

    for (int i = 1; i <= n; i++) {
        cin >> a[i];
    }

    return 0;

}